"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeString = void 0;
/**
 * Escape a string by replacing <, >, &, ', ", `, \ and / with HTML entities.
 */
const escapeString = (str) => {
    return str
        .replace(/&/g, `&amp;`)
        .replace(/"/g, `&quot;`)
        .replace(/'/g, `&#x27;`)
        .replace(/</g, `&lt;`)
        .replace(/>/g, `&gt;`)
        .replace(/\//g, `&#x2F;`)
        .replace(/\\/g, `&#x5C;`)
        .replace(/`/g, `&#96;`);
};
exports.escapeString = escapeString;
