"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllowListSanitizationRegex = void 0;
/**
 * Returns an "allow-list" `RegExp` that can used to sanitize strings by removing
 * all characters that are not in the `allowedCharacters` list.
 */
const getAllowListSanitizationRegex = ({ allowedCharacters, overrideRegexFlags: regexFlags = "g", }) => {
    const allowedCharsStr = typeof allowedCharacters === "string" ? allowedCharacters : allowedCharacters.join("");
    return new RegExp(`[^${allowedCharsStr}]`, regexFlags);
};
exports.getAllowListSanitizationRegex = getAllowListSanitizationRegex;
