/**
 * A function which returns `true` if the provided `input` is valid.
 */
export type ValidatorFn = (value?: unknown) => value is string;
/**
 * Returns a {@link ValidatorFn} which takes an unknown input, and returns
 * `true` if the input is a string that matches the provided regex pattern(s).
 */
export declare const getValidatorFn: (
/** One or more `RegExp` patterns. */
regexArg: RegExp | Array<RegExp>, 
/** A fn which returns `true` if `value` is of the expected type (default: {@link isString}). */
isExpectedType?: (value?: unknown) => boolean) => ValidatorFn;
