"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidAlphanumeric = exports.ALPHANUMERIC_VALIDATION_REGEX = void 0;
const ts_type_safety_utils_1 = require("@nerdware/ts-type-safety-utils");
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
exports.ALPHANUMERIC_VALIDATION_REGEX = /^[a-zA-Z0-9]+$/;
/**
 * Returns `true` if `value` only contains alphanumeric characters.
 *
 * > This function only permits [ASCII characters](https://www.asciitable.com/).
 */
exports.isValidAlphanumeric = (0, getValidatorFn_js_1.getValidatorFn)(exports.ALPHANUMERIC_VALIDATION_REGEX, (value) => (0, ts_type_safety_utils_1.isString)(value) || (0, ts_type_safety_utils_1.isSafeInteger)(value));
