"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidCurrency = exports.USD_CURRENCY_VALIDATION_REGEX = void 0;
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
/**
 * Regular expression for validating USD currency-formatted strings.
 */
exports.USD_CURRENCY_VALIDATION_REGEX = /^\$?(0|[1-9][0-9]{0,2})(,\d{3})*(\.\d{2})?$/;
/**
 * Returns `true` if `value` is a valid USD currency-formatted string.
 */
exports.isValidCurrency = (0, getValidatorFn_js_1.getValidatorFn)(exports.USD_CURRENCY_VALIDATION_REGEX);
