/**
 * Regex pattern for validating ISO-8601 datetime string timestamps.
 *
 * ### Limitations:
 * - The pattern does not validate the number of days in a month (e.g. a date
 *   of Feb-30 will not cause validation to fail).
 *
 * ### Pattern Notes:
 * - The pattern only allows years from 1000 to 9999.
 *
 * ### Relevant Links:
 * - https://www.iso.org/iso-8601-date-and-time-format.html
 * - https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString
 */
export declare const ISO_8601_TIMESTAMP_VALIDATION_REGEX: RegExp;
/**
 * Returns `true` if the provided `value` is a valid ISO-8601 datetime string timestamp.
 */
export declare const isValidISO8601Timestamp: import("../utils/getValidatorFn.js").ValidatorFn;
