"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidJsonString = exports.JSON_STRING_VALIDATION_REGEX = void 0;
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
/**
 * Regex for validating JSON-string values. The pattern works by testing for
 * characters within the ASCII printable range. The permitted-character range
 * begins with `\x20` (single space character), which is ASCII code 32, and
 * ends with `~` (tilde), which is ASCII code 126.
 */
exports.JSON_STRING_VALIDATION_REGEX = /^[\x20-~]+$/;
/**
 * Returns `true` is `value` only contains valid JSON characters.
 */
exports.isValidJsonString = (0, getValidatorFn_js_1.getValidatorFn)(exports.JSON_STRING_VALIDATION_REGEX);
